### File

`packages/ecl/core/services/ecl-rtl.service.ts`

### Index

###### Properties
Public currentRtlState$ Public eclThemeService
###### Methods
changeRtlState

### Constructor

`constructor(document: Document, eclThemeService: EclThemeService, i18nService: I18nService)`
Parameters :
Name | Type | Optional
document | `Document` | No
eclThemeService | `EclThemeService` | No
i18nService | `I18nService` | No

### Methods

changeRtlState
`changeRtlState(rtlState: boolean)`
Parameters :
Name | Type | Optional
rtlState | `boolean` | No
Returns : `void`

### Properties

Public currentRtlState$
Type : `Observable<boolean>`

Public eclThemeService
Type : `EclThemeService`

# results matching ""

# No results matching ""